API ReferenceAssigned Project User
Updates the AssignedProjectUser resource
Updates the AssignedProjectUser resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
AssignedProjectUser identifier
The updated AssignedProjectUser resource
TypeScript Definitions
Use the request body type in TypeScript.
role?string
Value in
- "none"
- "pm-passive"
- "pm-active"
- "pm-operational"
hourlyRate?number
Format
floatDefault
0canReportTime?number
Format
booleanResponse Body
curl -X PATCH "https://example.com/project/assigned-project-users/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "role": "none", "hourlyRate": null, "canReportTime": true}